<button class="btn btn-info" (click)="activateAdd()">Add Role</button>
<br />
<div *ngIf="add">
  <form>
    <div class="form-group">
      <input
        type="text"
        class="form-control"
        #roleName
        placeholder="Role Name"
      />
      <button
        type="button"
        class="btn btn-primary"
        (click)="addRole(roleName.value)"
      >
        Add
      </button>
    </div>
  </form>
</div>
<br />
<table class="table table-dark table-hover table-stripped">
  <thead>
    <tr>
      <th>ID</th>
      <th>Name</th>
    </tr>
  </thead>
  <tbody>
    <tr *ngFor="let role of roles">
      <td>{{ role.id }}</td>
      <td>{{ role.name }}</td>
    </tr>
  </tbody>
</table>
